from Constants import CURRENT_VARIANT_VALUE, NUM_OF_CHANNELS

settings_preview = {"cloud_status": False, "cloud_user": " ", "cloud_pass": " ", "cloud_device_name": " ",
                    "hotspot_status": False, "SSID": " ", "hotspot_pass": " ", "version": " ",
                    "old_network_mode": False, "old_IP": [0, 0, 0, 0], "old_subnet": [0, 0, 0, 0],
                    "new_network_mode": False, "new_IP": [0, 0, 0, 0], "new_subnet": [0, 0, 0, 0],
                    "signal_generator": {"frequency_generator": {"frequency": 100,
                    "gain": -20.0}, "pink_noise": { "gain": -20.0}}, "oem_status": False,"limiter_sum":0.0,
                    "amp_temperature":0, "amp_standby": False, "amp_voltage": 80, "amp_status":2}

channels_preview = [{"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 0, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0), 
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 0, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}},
                    {"name": " ", "mute": False, "fault": False, "delay": float(0.0), "gain": float(0.0),
                    "mixer": [{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},
                    {"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)},{"gain":float(0.0)}],
                    "source": 2, "group_delay": float(0.0), "gain_slider": int(0), "rate_limiter_status": int(0),
                    "peq": [{"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)},
                    {"enable":False, "type":int(0), "freq":float(100.0), "gain":float(0.0), "q":float(0.0)}],
                    "xover_hp_filter":{"xover_hp_enable":False,"xover_hp_type":int(0),"xover_hp_freq":float(100.0)},
                    "xover_lp_filter":{"xover_lp_enable":False,"xover_lp_type":int(0),"xover_lp_freq":float(100.0)},
                    "lim_rms":{"lim_rms_thres":float(10.0),"lim_rms_attack":float(0.1),"lim_rms_release":float(5.0)},
                    "lim_peak":{"lim_peak_thres":float(10.0),"lim_peak_release":float(5.0)}}]

folder_names = ["Folder 1", "Folder 2", "Folder 3"]

file_names = ["File 1", "File 2", "File 3"]

